Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-391

Validate FFI'ed native windows code against Ruby 2 x64

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PUP 3.7.0
    • Component/s: None
    • Labels:
    • Template:
    • Story Points:
      3
    • Sprint:
      Week 2014-6-25 to 2014-7-9, 2014-07-23, 2014-08-06

      Description

      Puppet makes some x86 assumptions in win32 native code. Once ruby 2.x x64 builds are available, we need to validate that our FFI'ed code continues to run on x64, and that we are not making bad assumptions, e.g.

      0.chr * 4

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  Unassigned
                  Reporter:
                  josh Josh Cooper
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  5 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: